List a customer's transactions
curl --request GET \
--url https://be-dev-1.dev.ndovu.co/api/v3/partners/{shortName}/customers/{externalUserId}/portfolio/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://be-dev-1.dev.ndovu.co/api/v3/partners/{shortName}/customers/{externalUserId}/portfolio/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://be-dev-1.dev.ndovu.co/api/v3/partners/{shortName}/customers/{externalUserId}/portfolio/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://be-dev-1.dev.ndovu.co/api/v3/partners/{shortName}/customers/{externalUserId}/portfolio/transactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://be-dev-1.dev.ndovu.co/api/v3/partners/{shortName}/customers/{externalUserId}/portfolio/transactions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://be-dev-1.dev.ndovu.co/api/v3/partners/{shortName}/customers/{externalUserId}/portfolio/transactions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://be-dev-1.dev.ndovu.co/api/v3/partners/{shortName}/customers/{externalUserId}/portfolio/transactions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"transactionId": 123,
"type": "DEPOSIT",
"status": "PENDING",
"plan": {
"id": 12,
"name": "Ndovu Money Market Fund"
},
"amount": 5000,
"currency": "KES",
"investedAmount": 4950,
"requestedAt": "2023-11-07T05:31:56Z",
"reason": "PENDING_PAYMENT",
"fee": 50,
"feePercentage": 1,
"units": 123,
"paymentReference": "<string>",
"payment": {
"reference": "NDV7F3K9Q",
"channel": "MPESA",
"amount": 5000,
"finalAmount": 5000,
"currency": "KES",
"status": "PENDING",
"createdAt": "2023-11-07T05:31:56Z",
"mnoReference": "<string>",
"bankReference": "<string>",
"phoneNumber": "+2547...5678",
"plan": {
"id": 12,
"name": "Ndovu Money Market Fund"
},
"transactionId": 123,
"completedAt": "2023-11-07T05:31:56Z"
}
}
],
"nextCursor": 123
}partners
List a customer's transactions
Newest first. Pass nextCursor as cursor for the next page. A Transaction is created when its Payment completes.
GET
/
api
/
v3
/
partners
/
{shortName}
/
customers
/
{externalUserId}
/
portfolio
/
transactions
List a customer's transactions
curl --request GET \
--url https://be-dev-1.dev.ndovu.co/api/v3/partners/{shortName}/customers/{externalUserId}/portfolio/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://be-dev-1.dev.ndovu.co/api/v3/partners/{shortName}/customers/{externalUserId}/portfolio/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://be-dev-1.dev.ndovu.co/api/v3/partners/{shortName}/customers/{externalUserId}/portfolio/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://be-dev-1.dev.ndovu.co/api/v3/partners/{shortName}/customers/{externalUserId}/portfolio/transactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://be-dev-1.dev.ndovu.co/api/v3/partners/{shortName}/customers/{externalUserId}/portfolio/transactions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://be-dev-1.dev.ndovu.co/api/v3/partners/{shortName}/customers/{externalUserId}/portfolio/transactions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://be-dev-1.dev.ndovu.co/api/v3/partners/{shortName}/customers/{externalUserId}/portfolio/transactions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"transactionId": 123,
"type": "DEPOSIT",
"status": "PENDING",
"plan": {
"id": 12,
"name": "Ndovu Money Market Fund"
},
"amount": 5000,
"currency": "KES",
"investedAmount": 4950,
"requestedAt": "2023-11-07T05:31:56Z",
"reason": "PENDING_PAYMENT",
"fee": 50,
"feePercentage": 1,
"units": 123,
"paymentReference": "<string>",
"payment": {
"reference": "NDV7F3K9Q",
"channel": "MPESA",
"amount": 5000,
"finalAmount": 5000,
"currency": "KES",
"status": "PENDING",
"createdAt": "2023-11-07T05:31:56Z",
"mnoReference": "<string>",
"bankReference": "<string>",
"phoneNumber": "+2547...5678",
"plan": {
"id": 12,
"name": "Ndovu Money Market Fund"
},
"transactionId": 123,
"completedAt": "2023-11-07T05:31:56Z"
}
}
],
"nextCursor": 123
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Your partner short name
Your own ID for the customer
Query Parameters
The previous page's nextCursor
Required range:
x >= 1Required range:
1 <= x <= 50Only this plan

